# List all prices

Endpoint: GET /prices
Version: 1.0.0
Security: JWT

## Query parameters:

  - `before` (string)
    [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp in UTC to filter resources created before this time. Use this to avoid `Page drift` issue. See [Pagination parameters](\./pagination#pagination-parameters) for more details.

  - `after` (string)
    [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp in UTC to filter resources created after this time. Use this to avoid `Page drift` issue. See [Pagination parameters](\./pagination#pagination-parameters) for more details.

  - `per_page` (integer)
    Number of resources per page. Should be between 1 and 100.

  - `page` (integer)
    Page number for pagination. Starts from 1. Get the next page number from the `next` field in the response.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string)
    The unique identifier for the payin.
    Example: price_DdWp_HUbOnlg

  - `data.pricing_type` (string)
    The type of pricing to be applied.
    Enum: "fixed", "percentage"

  - `data.fees_amount` (number)
    The amount that will be deducted from your balance for this pricing. A positive integer representing the smallest currency unit. For example, if the amount is $299.00, then pass 29900 in this field. In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, for amount ￥295, pass the value as 295
    Example: 1000

  - `data.fees_currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format.
    Example: USD

  - `data.bps` (number)
    Basis points for the pricing.
    Example: 1000

  - `data.set_as_default` (boolean)
    Set this pricing as default for the business. Overrides the previously set default if set to 'true'.
    Example: true

  - `data.created_at` (string)
    Timestamp representing when the payin was created
    Example: 2021-06-01T12:00:00Z

  - `data.updated_at` (string)
    Timestamp representing when the payin was last updated
    Example: 2021-06-01T12:00:00Z

  - `page_meta` (object)

  - `page_meta.current` (integer)
    The current page number.
    Example: 2

  - `page_meta.previous` (integer | null)
    The previous page number.
    Example: 1

  - `page_meta.next` (integer | null)
    The next page number.
    Example: 3

  - `page_meta.per_page` (integer)
    The number of items per page.
    Example: 20

  - `page_meta.pages` (integer)
    The total number of pages.
    Example: 10

  - `page_meta.count` (integer)
    The total number of items.
    Example: 200

